Index: /trunk/src/wp-content/themes/twentytwenty/assets/css/editor-style-block-rtl.css
===================================================================
--- /trunk/src/wp-content/themes/twentytwenty/assets/css/editor-style-block-rtl.css	(revision 54153)
+++ /trunk/src/wp-content/themes/twentytwenty/assets/css/editor-style-block-rtl.css	(revision 54154)
@@ -122,10 +122,10 @@
 .editor-post-title__block .editor-post-title__input,
 .editor-styles-wrapper .wp-block-post-title,
-.editor-styles-wrapper .wp-block h1,
-.editor-styles-wrapper .wp-block h2,
-.editor-styles-wrapper .wp-block h3,
-.editor-styles-wrapper .wp-block h4,
-.editor-styles-wrapper .wp-block h5,
-.editor-styles-wrapper .wp-block h6,
+.editor-styles-wrapper h1,
+.editor-styles-wrapper h2,
+.editor-styles-wrapper h3,
+.editor-styles-wrapper h4,
+.editor-styles-wrapper h5,
+.editor-styles-wrapper h6,
 .editor-styles-wrapper .has-drop-cap:not(:focus)::first-letter,
 .editor-styles-wrapper cite,
@@ -139,10 +139,10 @@
 	.editor-post-title__block .editor-post-title__input,
 	.editor-styles-wrapper .wp-block-post-title,
-	.editor-styles-wrapper .wp-block h1,
-	.editor-styles-wrapper .wp-block h2,
-	.editor-styles-wrapper .wp-block h3,
-	.editor-styles-wrapper .wp-block h4,
-	.editor-styles-wrapper .wp-block h5,
-	.editor-styles-wrapper .wp-block h6,
+	.editor-styles-wrapper h1,
+	.editor-styles-wrapper h2,
+	.editor-styles-wrapper h3,
+	.editor-styles-wrapper h4,
+	.editor-styles-wrapper h5,
+	.editor-styles-wrapper h6,
 	.editor-styles-wrapper .has-drop-cap:not(:focus)::first-letter,
 	.editor-styles-wrapper cite,
@@ -243,10 +243,10 @@
 .editor-post-title__block .editor-post-title__input,
 .editor-styles-wrapper .wp-block-post-title,
-.editor-styles-wrapper .wp-block h1,
-.editor-styles-wrapper .wp-block h2,
-.editor-styles-wrapper .wp-block h3,
-.editor-styles-wrapper .wp-block h4,
-.editor-styles-wrapper .wp-block h5,
-.editor-styles-wrapper .wp-block h6 {
+.editor-styles-wrapper h1,
+.editor-styles-wrapper h2,
+.editor-styles-wrapper h3,
+.editor-styles-wrapper h4,
+.editor-styles-wrapper h5,
+.editor-styles-wrapper h6 {
 	font-feature-settings: "lnum";
 	font-variant-numeric: lining-nums;
@@ -260,5 +260,6 @@
 .editor-post-title__block .editor-post-title__input,
 .editor-styles-wrapper .wp-block-post-title,
-.editor-styles-wrapper .wp-block h1 {
+.editor-styles-wrapper h1,
+.editor-styles-wrapper .heading-size-1 {
 	font-size: 36px;
 	font-weight: 800;
@@ -266,21 +267,26 @@
 }
 
-.editor-styles-wrapper .wp-block h2 {
+.editor-styles-wrapper h2,
+.editor-styles-wrapper .heading-size-2 {
 	font-size: 32px;
 }
 
-.editor-styles-wrapper .wp-block h3 {
+.editor-styles-wrapper h3,
+.editor-styles-wrapper .heading-size-3 {
 	font-size: 28px;
 }
 
-.editor-styles-wrapper .wp-block h4 {
+.editor-styles-wrapper h4,
+.editor-styles-wrapper .heading-size-4 {
 	font-size: 24px;
 }
 
-.editor-styles-wrapper .wp-block h5 {
+.editor-styles-wrapper h5,
+.editor-styles-wrapper .heading-size-5 {
 	font-size: 21px;
 }
 
-.editor-styles-wrapper .wp-block h6 {
+.editor-styles-wrapper h6,
+.editor-styles-wrapper .heading-size-6 {
 	font-size: 16px;
 	letter-spacing: 0.03125em;
@@ -1249,21 +1255,26 @@
 	.editor-post-title__block .editor-post-title__input,
 	.editor-styles-wrapper .wp-block-post-title,
-	.editor-styles-wrapper .wp-block h1 {
+	.editor-styles-wrapper h1,
+	.editor-styles-wrapper .heading-size-1 {
 		font-size: 64px;
 	}
 
-	.editor-styles-wrapper .wp-block h2 {
+	.editor-styles-wrapper h2,
+	.editor-styles-wrapper .heading-size-2 {
 		font-size: 48px;
 	}
 
-	.editor-styles-wrapper .wp-block h3 {
+	.editor-styles-wrapper h3,
+	.editor-styles-wrapper .heading-size-3 {
 		font-size: 40px;
 	}
 
-	.editor-styles-wrapper .wp-block h4 {
+	.editor-styles-wrapper h4,
+	.editor-styles-wrapper .heading-size-4 {
 		font-size: 32px;
 	}
 
-	.editor-styles-wrapper .wp-block h5 {
+	.editor-styles-wrapper h5,
+	.editor-styles-wrapper .heading-size-5 {
 		font-size: 24px;
 	}
@@ -1428,9 +1439,11 @@
 	.editor-post-title__block .editor-post-title__input,
 	.editor-styles-wrapper .wp-block-post-title,
-	.editor-styles-wrapper .wp-block h1 {
+	.editor-styles-wrapper h1,
+	.editor-styles-wrapper .heading-size-1 {
 		font-size: 84px;
 	}
 
-	.editor-styles-wrapper .wp-block h6 {
+	.editor-styles-wrapper h6,
+	.editor-styles-wrapper .heading-size-6 {
 		font-size: 18px;
 	}
Index: /trunk/src/wp-content/themes/twentytwenty/assets/css/editor-style-block.css
===================================================================
--- /trunk/src/wp-content/themes/twentytwenty/assets/css/editor-style-block.css	(revision 54153)
+++ /trunk/src/wp-content/themes/twentytwenty/assets/css/editor-style-block.css	(revision 54154)
@@ -122,10 +122,10 @@
 .editor-post-title__block .editor-post-title__input,
 .editor-styles-wrapper .wp-block-post-title,
-.editor-styles-wrapper .wp-block h1,
-.editor-styles-wrapper .wp-block h2,
-.editor-styles-wrapper .wp-block h3,
-.editor-styles-wrapper .wp-block h4,
-.editor-styles-wrapper .wp-block h5,
-.editor-styles-wrapper .wp-block h6,
+.editor-styles-wrapper h1,
+.editor-styles-wrapper h2,
+.editor-styles-wrapper h3,
+.editor-styles-wrapper h4,
+.editor-styles-wrapper h5,
+.editor-styles-wrapper h6,
 .editor-styles-wrapper .has-drop-cap:not(:focus)::first-letter,
 .editor-styles-wrapper cite,
@@ -139,10 +139,10 @@
 	.editor-post-title__block .editor-post-title__input,
 	.editor-styles-wrapper .wp-block-post-title,
-	.editor-styles-wrapper .wp-block h1,
-	.editor-styles-wrapper .wp-block h2,
-	.editor-styles-wrapper .wp-block h3,
-	.editor-styles-wrapper .wp-block h4,
-	.editor-styles-wrapper .wp-block h5,
-	.editor-styles-wrapper .wp-block h6,
+	.editor-styles-wrapper h1,
+	.editor-styles-wrapper h2,
+	.editor-styles-wrapper h3,
+	.editor-styles-wrapper h4,
+	.editor-styles-wrapper h5,
+	.editor-styles-wrapper h6,
 	.editor-styles-wrapper .has-drop-cap:not(:focus)::first-letter,
 	.editor-styles-wrapper cite,
@@ -243,10 +243,10 @@
 .editor-post-title__block .editor-post-title__input,
 .editor-styles-wrapper .wp-block-post-title,
-.editor-styles-wrapper .wp-block h1,
-.editor-styles-wrapper .wp-block h2,
-.editor-styles-wrapper .wp-block h3,
-.editor-styles-wrapper .wp-block h4,
-.editor-styles-wrapper .wp-block h5,
-.editor-styles-wrapper .wp-block h6 {
+.editor-styles-wrapper h1,
+.editor-styles-wrapper h2,
+.editor-styles-wrapper h3,
+.editor-styles-wrapper h4,
+.editor-styles-wrapper h5,
+.editor-styles-wrapper h6 {
 	font-feature-settings: "lnum";
 	font-variant-numeric: lining-nums;
@@ -260,5 +260,6 @@
 .editor-post-title__block .editor-post-title__input,
 .editor-styles-wrapper .wp-block-post-title,
-.editor-styles-wrapper .wp-block h1 {
+.editor-styles-wrapper h1,
+.editor-styles-wrapper .heading-size-1 {
 	font-size: 36px;
 	font-weight: 800;
@@ -266,21 +267,26 @@
 }
 
-.editor-styles-wrapper .wp-block h2 {
+.editor-styles-wrapper h2,
+.editor-styles-wrapper .heading-size-2 {
 	font-size: 32px;
 }
 
-.editor-styles-wrapper .wp-block h3 {
+.editor-styles-wrapper h3,
+.editor-styles-wrapper .heading-size-3 {
 	font-size: 28px;
 }
 
-.editor-styles-wrapper .wp-block h4 {
+.editor-styles-wrapper h4,
+.editor-styles-wrapper .heading-size-4 {
 	font-size: 24px;
 }
 
-.editor-styles-wrapper .wp-block h5 {
+.editor-styles-wrapper h5,
+.editor-styles-wrapper .heading-size-5 {
 	font-size: 21px;
 }
 
-.editor-styles-wrapper .wp-block h6 {
+.editor-styles-wrapper h6,
+.editor-styles-wrapper .heading-size-6 {
 	font-size: 16px;
 	letter-spacing: 0.03125em;
@@ -1253,21 +1259,26 @@
 	.editor-post-title__block .editor-post-title__input,
 	.editor-styles-wrapper .wp-block-post-title,
-	.editor-styles-wrapper .wp-block h1 {
+	.editor-styles-wrapper h1,
+	.editor-styles-wrapper .heading-size-1 {
 		font-size: 64px;
 	}
 
-	.editor-styles-wrapper .wp-block h2 {
+	.editor-styles-wrapper h2,
+	.editor-styles-wrapper .heading-size-2 {
 		font-size: 48px;
 	}
 
-	.editor-styles-wrapper .wp-block h3 {
+	.editor-styles-wrapper h3,
+	.editor-styles-wrapper .heading-size-3 {
 		font-size: 40px;
 	}
 
-	.editor-styles-wrapper .wp-block h4 {
+	.editor-styles-wrapper h4,
+	.editor-styles-wrapper .heading-size-4 {
 		font-size: 32px;
 	}
 
-	.editor-styles-wrapper .wp-block h5 {
+	.editor-styles-wrapper h5,
+	.editor-styles-wrapper .heading-size-5 {
 		font-size: 24px;
 	}
@@ -1432,9 +1443,11 @@
 	.editor-post-title__block .editor-post-title__input,
 	.editor-styles-wrapper .wp-block-post-title,
-	.editor-styles-wrapper .wp-block h1 {
+	.editor-styles-wrapper h1,
+	.editor-styles-wrapper .heading-size-1 {
 		font-size: 84px;
 	}
 
-	.editor-styles-wrapper .wp-block h6 {
+	.editor-styles-wrapper h6,
+	.editor-styles-wrapper .heading-size-6 {
 		font-size: 18px;
 	}
Index: /trunk/src/wp-content/themes/twentytwenty/assets/css/editor-style-classic-rtl.css
===================================================================
--- /trunk/src/wp-content/themes/twentytwenty/assets/css/editor-style-classic-rtl.css	(revision 54153)
+++ /trunk/src/wp-content/themes/twentytwenty/assets/css/editor-style-classic-rtl.css	(revision 54154)
@@ -216,5 +216,6 @@
 }
 
-body#tinymce.wp-editor.content h1 {
+body#tinymce.wp-editor.content h1,
+body#tinymce.wp-editor.content .heading-size-1 {
 	font-size: 84px;
 	font-weight: 800;
@@ -222,21 +223,26 @@
 }
 
-body#tinymce.wp-editor.content h2 {
+body#tinymce.wp-editor.content h2,
+body#tinymce.wp-editor.content .heading-size-2 {
 	font-size: 48px;
 }
 
-body#tinymce.wp-editor.content h3 {
+body#tinymce.wp-editor.content h3,
+body#tinymce.wp-editor.content .heading-size-3 {
 	font-size: 40px;
 }
 
-body#tinymce.wp-editor.content h4 {
+body#tinymce.wp-editor.content h4,
+body#tinymce.wp-editor.content .heading-size-4 {
 	font-size: 32px;
 }
 
-body#tinymce.wp-editor.content h5 {
+body#tinymce.wp-editor.content h5,
+body#tinymce.wp-editor.content .heading-size-5 {
 	font-size: 24px;
 }
 
-body#tinymce.wp-editor.content h6 {
+body#tinymce.wp-editor.content h6,
+body#tinymce.wp-editor.content .heading-size-6 {
 	font-size: 18px;
 	letter-spacing: 0.03125em;
Index: /trunk/src/wp-content/themes/twentytwenty/assets/css/editor-style-classic.css
===================================================================
--- /trunk/src/wp-content/themes/twentytwenty/assets/css/editor-style-classic.css	(revision 54153)
+++ /trunk/src/wp-content/themes/twentytwenty/assets/css/editor-style-classic.css	(revision 54154)
@@ -216,5 +216,6 @@
 }
 
-body#tinymce.wp-editor.content h1 {
+body#tinymce.wp-editor.content h1,
+body#tinymce.wp-editor.content .heading-size-1 {
 	font-size: 84px;
 	font-weight: 800;
@@ -222,21 +223,26 @@
 }
 
-body#tinymce.wp-editor.content h2 {
+body#tinymce.wp-editor.content h2,
+body#tinymce.wp-editor.content .heading-size-2 {
 	font-size: 48px;
 }
 
-body#tinymce.wp-editor.content h3 {
+body#tinymce.wp-editor.content h3,
+body#tinymce.wp-editor.content .heading-size-3 {
 	font-size: 40px;
 }
 
-body#tinymce.wp-editor.content h4 {
+body#tinymce.wp-editor.content h4,
+body#tinymce.wp-editor.content .heading-size-4 {
 	font-size: 32px;
 }
 
-body#tinymce.wp-editor.content h5 {
+body#tinymce.wp-editor.content h5,
+body#tinymce.wp-editor.content .heading-size-5 {
 	font-size: 24px;
 }
 
-body#tinymce.wp-editor.content h6 {
+body#tinymce.wp-editor.content h6,
+body#tinymce.wp-editor.content .heading-size-6 {
 	font-size: 18px;
 	letter-spacing: 0.03125em;
Index: /trunk/src/wp-content/themes/twentytwenty/classes/class-twentytwenty-non-latin-languages.php
===================================================================
--- /trunk/src/wp-content/themes/twentytwenty/classes/class-twentytwenty-non-latin-languages.php	(revision 54153)
+++ /trunk/src/wp-content/themes/twentytwenty/classes/class-twentytwenty-non-latin-languages.php	(revision 54154)
@@ -120,5 +120,5 @@
 				array(
 					'front-end'      => array( 'body', 'input', 'textarea', 'button', '.button', '.faux-button', '.wp-block-button__link', '.wp-block-file__button', '.has-drop-cap:not(:focus)::first-letter', '.entry-content .wp-block-archives', '.entry-content .wp-block-categories', '.entry-content .wp-block-cover-image', '.entry-content .wp-block-latest-comments', '.entry-content .wp-block-latest-posts', '.entry-content .wp-block-pullquote', '.entry-content .wp-block-quote.is-large', '.entry-content .wp-block-quote.is-style-large', '.entry-content .wp-block-archives *', '.entry-content .wp-block-categories *', '.entry-content .wp-block-latest-posts *', '.entry-content .wp-block-latest-comments *', '.entry-content p', '.entry-content ol', '.entry-content ul', '.entry-content dl', '.entry-content dt', '.entry-content cite', '.entry-content figcaption', '.entry-content .wp-caption-text', '.comment-content p', '.comment-content ol', '.comment-content ul', '.comment-content dl', '.comment-content dt', '.comment-content cite', '.comment-content figcaption', '.comment-content .wp-caption-text', '.widget_text p', '.widget_text ol', '.widget_text ul', '.widget_text dl', '.widget_text dt', '.widget-content .rssSummary', '.widget-content cite', '.widget-content figcaption', '.widget-content .wp-caption-text' ),
-					'block-editor'   => array( '.editor-styles-wrapper > *', '.editor-styles-wrapper p', '.editor-styles-wrapper ol', '.editor-styles-wrapper ul', '.editor-styles-wrapper dl', '.editor-styles-wrapper dt', '.editor-post-title__block .editor-post-title__input', '.editor-styles-wrapper .wp-block-post-title', '.editor-styles-wrapper .wp-block h1', '.editor-styles-wrapper .wp-block h2', '.editor-styles-wrapper .wp-block h3', '.editor-styles-wrapper .wp-block h4', '.editor-styles-wrapper .wp-block h5', '.editor-styles-wrapper .wp-block h6', '.editor-styles-wrapper .has-drop-cap:not(:focus)::first-letter', '.editor-styles-wrapper cite', '.editor-styles-wrapper figcaption', '.editor-styles-wrapper .wp-caption-text' ),
+					'block-editor'   => array( '.editor-styles-wrapper > *', '.editor-styles-wrapper p', '.editor-styles-wrapper ol', '.editor-styles-wrapper ul', '.editor-styles-wrapper dl', '.editor-styles-wrapper dt', '.editor-post-title__block .editor-post-title__input', '.editor-styles-wrapper .wp-block-post-title', '.editor-styles-wrapper h1', '.editor-styles-wrapper h2', '.editor-styles-wrapper h3', '.editor-styles-wrapper h4', '.editor-styles-wrapper h5', '.editor-styles-wrapper h6', '.editor-styles-wrapper .has-drop-cap:not(:focus)::first-letter', '.editor-styles-wrapper cite', '.editor-styles-wrapper figcaption', '.editor-styles-wrapper .wp-caption-text' ),
 					'classic-editor' => array( 'body#tinymce.wp-editor', 'body#tinymce.wp-editor p', 'body#tinymce.wp-editor ol', 'body#tinymce.wp-editor ul', 'body#tinymce.wp-editor dl', 'body#tinymce.wp-editor dt', 'body#tinymce.wp-editor figcaption', 'body#tinymce.wp-editor .wp-caption-text', 'body#tinymce.wp-editor .wp-caption-dd', 'body#tinymce.wp-editor cite', 'body#tinymce.wp-editor table' ),
 				)