Index: /trunk/src/wp-admin/includes/image-edit.php
===================================================================
--- /trunk/src/wp-admin/includes/image-edit.php	(revision 54225)
+++ /trunk/src/wp-admin/includes/image-edit.php	(revision 54226)
@@ -918,10 +918,8 @@
 
 	// Save the full-size file, also needed to create sub-sizes.
-	$saved = wp_save_image_file( $new_path, $img, $post->post_mime_type, $post_id );
-	if ( ! $saved ) {
+	if ( ! wp_save_image_file( $new_path, $img, $post->post_mime_type, $post_id ) ) {
 		$return->error = esc_js( __( 'Unable to save the image.' ) );
 		return $return;
 	}
-	$new_path = $saved['path'];
 
 	if ( 'nothumb' === $target || 'all' === $target || 'full' === $target || $scaled ) {
Index: /trunk/src/wp-admin/includes/image.php
===================================================================
--- /trunk/src/wp-admin/includes/image.php	(revision 54225)
+++ /trunk/src/wp-admin/includes/image.php	(revision 54226)
@@ -452,7 +452,4 @@
 	if ( method_exists( $editor, 'make_subsize' ) ) {
 		foreach ( $new_sizes as $new_size_name => $new_size_data ) {
-			// Include size name in the data.
-			$new_size_data['name'] = $new_size_name;
-
 			$new_size_meta = $editor->make_subsize( $new_size_data );
 
Index: /trunk/src/wp-includes/class-wp-image-editor-gd.php
===================================================================
--- /trunk/src/wp-includes/class-wp-image-editor-gd.php	(revision 54225)
+++ /trunk/src/wp-includes/class-wp-image-editor-gd.php	(revision 54226)
@@ -228,5 +228,5 @@
 	 *
 	 * @param array $sizes {
-	 *     Associative array of image size names and their data.
+	 *     An array of image size data arrays.
 	 *
 	 *     Either a height or width must be provided.
@@ -248,7 +248,4 @@
 
 		foreach ( $sizes as $size => $size_data ) {
-			// Include size name in the data.
-			$size_data['name'] = $size;
-
 			$meta = $this->make_subsize( $size_data );
 
@@ -265,13 +262,11 @@
 	 *
 	 * @since 5.3.0
-	 * @since 6.1.0 The $sizes parameter may now include a $name key for each entry.
 	 *
 	 * @param array $size_data {
 	 *     Array of size data.
 	 *
-	 *     @type int    $width  The maximum width in pixels.
-	 *     @type int    $height The maximum height in pixels.
-	 *     @type bool   $crop   Whether to crop the image to exact dimensions.
-	 *     @type string $name   Image size name.
+	 *     @type int  $width  The maximum width in pixels.
+	 *     @type int  $height The maximum height in pixels.
+	 *     @type bool $crop   Whether to crop the image to exact dimensions.
 	 * }
 	 * @return array|WP_Error The image data array for inclusion in the `sizes` array in the image meta,
@@ -283,6 +278,5 @@
 		}
 
-		$orig_size      = $this->size;
-		$orig_size_name = $this->size_name;
+		$orig_size = $this->size;
 
 		if ( ! isset( $size_data['width'] ) ) {
@@ -296,8 +290,4 @@
 		if ( ! isset( $size_data['crop'] ) ) {
 			$size_data['crop'] = false;
-		}
-
-		if ( isset( $size_data['name'] ) ) {
-			$this->update_size_name( $size_data['name'] );
 		}
 
@@ -311,6 +301,5 @@
 		}
 
-		$this->size      = $orig_size;
-		$this->size_name = $orig_size_name;
+		$this->size = $orig_size;
 
 		if ( ! is_wp_error( $saved ) ) {
Index: /trunk/src/wp-includes/class-wp-image-editor-imagick.php
===================================================================
--- /trunk/src/wp-includes/class-wp-image-editor-imagick.php	(revision 54225)
+++ /trunk/src/wp-includes/class-wp-image-editor-imagick.php	(revision 54226)
@@ -439,5 +439,5 @@
 	 *
 	 * @param array $sizes {
-	 *     Associative array of image size names and their data.
+	 *     An array of image size data arrays.
 	 *
 	 *     Either a height or width must be provided.
@@ -459,7 +459,4 @@
 
 		foreach ( $sizes as $size => $size_data ) {
-			// Include size name in the data.
-			$size_data['name'] = $size;
-
 			$meta = $this->make_subsize( $size_data );
 
@@ -476,13 +473,11 @@
 	 *
 	 * @since 5.3.0
-	 * @since 6.1.0 The $sizes parameter may now include a $name key for each entry.
 	 *
 	 * @param array $size_data {
 	 *     Array of size data.
 	 *
-	 *     @type int    $width  The maximum width in pixels.
-	 *     @type int    $height The maximum height in pixels.
-	 *     @type bool   $crop   Whether to crop the image to exact dimensions.
-	 *     @type string $name   Image size name.
+	 *     @type int  $width  The maximum width in pixels.
+	 *     @type int  $height The maximum height in pixels.
+	 *     @type bool $crop   Whether to crop the image to exact dimensions.
 	 * }
 	 * @return array|WP_Error The image data array for inclusion in the `sizes` array in the image meta,
@@ -494,7 +489,6 @@
 		}
 
-		$orig_size      = $this->size;
-		$orig_size_name = $this->size_name;
-		$orig_image     = $this->image->getImage();
+		$orig_size  = $this->size;
+		$orig_image = $this->image->getImage();
 
 		if ( ! isset( $size_data['width'] ) ) {
@@ -508,8 +502,4 @@
 		if ( ! isset( $size_data['crop'] ) ) {
 			$size_data['crop'] = false;
-		}
-
-		if ( isset( $size_data['name'] ) ) {
-			$this->update_size_name( $size_data['name'] );
 		}
 
@@ -526,7 +516,6 @@
 		}
 
-		$this->size      = $orig_size;
-		$this->size_name = $orig_size_name;
-		$this->image     = $orig_image;
+		$this->size  = $orig_size;
+		$this->image = $orig_image;
 
 		if ( ! is_wp_error( $saved ) ) {
Index: /trunk/src/wp-includes/class-wp-image-editor.php
===================================================================
--- /trunk/src/wp-includes/class-wp-image-editor.php	(revision 54225)
+++ /trunk/src/wp-includes/class-wp-image-editor.php	(revision 54226)
@@ -16,5 +16,4 @@
 	protected $file              = null;
 	protected $size              = null;
-	protected $size_name         = '';
 	protected $mime_type         = null;
 	protected $output_mime_type  = null;
@@ -120,5 +119,5 @@
 	 *
 	 * @param array $sizes {
-	 *     Associative array of image size names and their data. Default sizes are 'small', 'medium', 'large'.
+	 *     An array of image size arrays. Default sizes are 'small', 'medium', 'large'.
 	 *
 	 *     @type array ...$0 {
@@ -188,5 +187,5 @@
 	 * @since 3.5.0
 	 *
-	 * @return array {
+	 * @return int[] {
 	 *     Dimensions of the image.
 	 *
@@ -204,7 +203,7 @@
 	 * @since 3.5.0
 	 *
-	 * @param int $width  The image width.
-	 * @param int $height The image height.
-	 * @return true True on success, false on failure.
+	 * @param int $width
+	 * @param int $height
+	 * @return true
 	 */
 	protected function update_size( $width = null, $height = null ) {
@@ -214,26 +213,4 @@
 		);
 		return true;
-	}
-
-	/**
-	 * Gets the current image size name.
-	 *
-	 * @since 6.1.0
-	 *
-	 * @return string Image size name, or empty string if none set.
-	 */
-	public function get_size_name() {
-		return $this->size_name;
-	}
-
-	/**
-	 * Sets the current image size name.
-	 *
-	 * @since 6.1.0
-	 *
-	 * @param string $size_name The image size name.
-	 */
-	protected function update_size_name( $size_name ) {
-		$this->size_name = (string) $size_name;
 	}
 
@@ -389,5 +366,4 @@
 		 *
 		 * @since 5.8.0
-		 * @since 6.1.0 The $size_name parameter was added.
 		 *
 		 * @param string[] $output_format {
@@ -399,7 +375,6 @@
 		 * @param string $filename  Path to the image.
 		 * @param string $mime_type The source image mime type.
-		 * @param string $size_name The image size name to create, or empty string if not set.
 		 */
-		$output_format = apply_filters( 'image_editor_output_format', array(), $filename, $mime_type, $this->size_name );
+		$output_format = apply_filters( 'image_editor_output_format', array(), $filename, $mime_type );
 
 		if ( isset( $output_format[ $mime_type ] )
@@ -451,24 +426,17 @@
 	}
 
-		/**
-	 * Builds an output filename based on current file, and adding proper suffix.
-	 *
-	 * @since 3.5.0
-	 * @since 6.1.0 Skips adding a suffix when set to an empty string. When the
-	 *              file extension being generated doesn't match the image file extension,
-	 *              add the extension to the suffix
-	 *
-	 * @param string $suffix    Optional. Suffix to add to the filename. The default null
-	 *                          will result in a 'widthxheight' suffix. Passing
-	 *                          an empty string will result in no suffix.
-	 * @param string $dest_path Optional. The path to save the file to. The default null
-	 *                          will use the image file path.
-	 * @param string $extension Optional. The file extension to use. The default null
-	 *                          will use the image file extension.
-	 * @return string filename The generated file name.
+	/**
+	 * Builds an output filename based on current file, and adding proper suffix
+	 *
+	 * @since 3.5.0
+	 *
+	 * @param string $suffix
+	 * @param string $dest_path
+	 * @param string $extension
+	 * @return string filename
 	 */
 	public function generate_filename( $suffix = null, $dest_path = null, $extension = null ) {
 		// $suffix will be appended to the destination filename, just before the extension.
-		if ( null === $suffix ) {
+		if ( ! $suffix ) {
 			$suffix = $this->get_suffix();
 		}
@@ -491,19 +459,5 @@
 		}
 
-		if ( empty( $suffix ) ) {
-			$suffix = '';
-		} else {
-			$suffix = "-{$suffix}";
-		}
-
-		// When the file extension being generated doesn't match the image file extension,
-		// add the extension to the suffix to ensure a unique file name. Prevents
-		// name conflicts when a single image type can have multiple extensions,
-		// eg. .jpg, .jpeg and .jpe are all valid JPEG extensions.
-		if ( ! empty( $extension ) && $extension !== $ext ) {
-			$suffix .= "-{$ext}";
-		}
-
-		return trailingslashit( $dir ) . "{$name}{$suffix}.{$new_ext}";
+		return trailingslashit( $dir ) . "{$name}-{$suffix}.{$new_ext}";
 	}
 
Index: /trunk/src/wp-includes/default-filters.php
===================================================================
--- /trunk/src/wp-includes/default-filters.php	(revision 54225)
+++ /trunk/src/wp-includes/default-filters.php	(revision 54226)
@@ -637,6 +637,4 @@
 add_filter( 'media_send_to_editor', 'image_media_send_to_editor', 10, 3 );
 
-add_filter( 'image_editor_output_format', 'wp_default_image_output_mapping', 10, 4 );
-
 // Embeds.
 add_action( 'rest_api_init', 'wp_oembed_register_route' );
Index: /trunk/src/wp-includes/functions.php
===================================================================
--- /trunk/src/wp-includes/functions.php	(revision 54225)
+++ /trunk/src/wp-includes/functions.php	(revision 54226)
@@ -2691,5 +2691,5 @@
 		if ( $is_image ) {
 			/** This filter is documented in wp-includes/class-wp-image-editor.php */
-			$output_formats = apply_filters( 'image_editor_output_format', array(), $_dir . $filename, $mime_type, '' );
+			$output_formats = apply_filters( 'image_editor_output_format', array(), $_dir . $filename, $mime_type );
 			$alt_types      = array();
 
Index: /trunk/src/wp-includes/media.php
===================================================================
--- /trunk/src/wp-includes/media.php	(revision 54225)
+++ /trunk/src/wp-includes/media.php	(revision 54226)
@@ -3928,49 +3928,4 @@
 
 /**
- * Filters the default image output mapping.
- *
- * With this filter callback, WebP image files will be generated for certain JPEG source files.
- *
- * @since 6.1.0
- *
- * @param array $output_mapping Map of mime type to output format.
- * @param string $filename  Path to the image.
- * @param string $mime_type The source image mime type.
- * @param string $size_name Optional. The image size name to create, or empty string if not set. Default empty string.
- * @return array The adjusted default output mapping.
- */
-function wp_default_image_output_mapping( $output_mapping, $filename, $mime_type, $size_name = '' ) {
-	// If size name is specified, check whether the size supports additional MIME types like WebP.
-	if ( $size_name ) {
-		// Include only the core sizes that do not rely on add_image_size(). Additional image sizes are opt-in.
-		$enabled_sizes = array(
-			'thumbnail'      => true,
-			'medium'         => true,
-			'medium_large'   => true,
-			'large'          => true,
-			'post-thumbnail' => true,
-		);
-
-		/**
-		 * Filters the sizes that support secondary mime type output. Developers can use this
-		 * to control the generation of additional mime type sub-sized images.
-		 *
-		 * @since 6.1.0
-		 *
-		 * @param array $enabled_sizes Map of size names and whether they support secondary mime type output.
-		 */
-		$enabled_sizes = apply_filters( 'wp_image_sizes_with_additional_mime_type_support', $enabled_sizes );
-
-		// Bail early if the size does not support additional MIME types.
-		if ( empty( $enabled_sizes[ $size_name ] ) ) {
-			return $output_mapping;
-		}
-	}
-
-	$output_mapping['image/jpeg'] = 'image/webp';
-	return $output_mapping;
-}
-
-/**
  * Prints default Plupload arguments.
  *
Index: /trunk/tests/phpunit/tests/image/editor.php
===================================================================
--- /trunk/tests/phpunit/tests/image/editor.php	(revision 54225)
+++ /trunk/tests/phpunit/tests/image/editor.php	(revision 54226)
@@ -19,16 +19,7 @@
 
 		require_once DIR_TESTDATA . '/../includes/mock-image-editor.php';
-		add_filter( 'image_editor_output_format', '__return_empty_array' );
 
 		// This needs to come after the mock image editor class is loaded.
 		parent::set_up();
-	}
-
-	/**
-	 * Tear down the class.
-	 */
-	public function tear_down() {
-		remove_filter( 'image_editor_output_format', '__return_empty_array' );
-		parent::tear_down();
 	}
 
@@ -236,8 +227,8 @@
 
 		// Test with a suffix only.
-		$this->assertSame( 'canola-100x50-jpg.png', wp_basename( $editor->generate_filename( null, null, 'png' ) ) );
+		$this->assertSame( 'canola-100x50.png', wp_basename( $editor->generate_filename( null, null, 'png' ) ) );
 
 		// Combo!
-		$this->assertSame( trailingslashit( realpath( get_temp_dir() ) ) . 'canola-new-jpg.png', $editor->generate_filename( 'new', realpath( get_temp_dir() ), 'png' ) );
+		$this->assertSame( trailingslashit( realpath( get_temp_dir() ) ) . 'canola-new.png', $editor->generate_filename( 'new', realpath( get_temp_dir() ), 'png' ) );
 
 		// Test with a stream destination.
Index: /trunk/tests/phpunit/tests/image/editorGd.php
===================================================================
--- /trunk/tests/phpunit/tests/image/editorGd.php	(revision 54225)
+++ /trunk/tests/phpunit/tests/image/editorGd.php	(revision 54226)
@@ -18,6 +18,4 @@
 		require_once ABSPATH . WPINC . '/class-wp-image-editor-gd.php';
 
-		add_filter( 'image_editor_output_format', '__return_empty_array' );
-
 		// This needs to come after the mock image editor class is loaded.
 		parent::set_up();
@@ -32,6 +30,4 @@
 
 		$this->remove_added_uploads();
-
-		remove_filter( 'image_editor_output_format', '__return_empty_array' );
 
 		parent::tear_down();
Index: /trunk/tests/phpunit/tests/image/editorImagick.php
===================================================================
--- /trunk/tests/phpunit/tests/image/editorImagick.php	(revision 54225)
+++ /trunk/tests/phpunit/tests/image/editorImagick.php	(revision 54226)
@@ -19,6 +19,4 @@
 		require_once DIR_TESTROOT . '/includes/class-wp-test-stream.php';
 
-		add_filter( 'image_editor_output_format', '__return_empty_array' );
-
 		// This needs to come after the mock image editor class is loaded.
 		parent::set_up();
@@ -33,6 +31,4 @@
 
 		$this->remove_added_uploads();
-
-		remove_filter( 'image_editor_output_format', '__return_empty_array' );
 
 		parent::tear_down();
Index: /trunk/tests/phpunit/tests/image/functions.php
===================================================================
--- /trunk/tests/phpunit/tests/image/functions.php	(revision 54225)
+++ /trunk/tests/phpunit/tests/image/functions.php	(revision 54226)
@@ -26,14 +26,4 @@
 			unlink( $file );
 		}
-
-		add_filter( 'image_editor_output_format', '__return_empty_array' );
-	}
-
-	/**
-	 * Tear down the class.
-	 */
-	public function tear_down() {
-		remove_filter( 'image_editor_output_format', '__return_empty_array' );
-		parent::tear_down();
 	}
 
Index: /trunk/tests/phpunit/tests/image/intermediateSize.php
===================================================================
--- /trunk/tests/phpunit/tests/image/intermediateSize.php	(revision 54225)
+++ /trunk/tests/phpunit/tests/image/intermediateSize.php	(revision 54226)
@@ -6,13 +6,4 @@
  */
 class Tests_Image_Intermediate_Size extends WP_UnitTestCase {
-	/**
-	 * Set up the test fixture.
-	 */
-	public function set_up() {
-		add_filter( 'image_editor_output_format', '__return_empty_array' );
-
-		parent::set_up();
-	}
-
 	public function tear_down() {
 		$this->remove_added_uploads();
@@ -22,7 +13,4 @@
 		remove_image_size( 'false-width' );
 		remove_image_size( 'off-by-one' );
-
-		remove_filter( 'image_editor_output_format', '__return_empty_array' );
-
 		parent::tear_down();
 	}
Index: /trunk/tests/phpunit/tests/image/resize.php
===================================================================
--- /trunk/tests/phpunit/tests/image/resize.php	(revision 54225)
+++ /trunk/tests/phpunit/tests/image/resize.php	(revision 54226)
@@ -15,13 +15,4 @@
 
 		add_filter( 'wp_image_editors', array( $this, 'wp_image_editors' ) );
-		add_filter( 'image_editor_output_format', '__return_empty_array' );
-	}
-
-	/**
-	 * Tear down the class.
-	 */
-	public function tear_down() {
-		remove_filter( 'image_editor_output_format', '__return_empty_array' );
-		parent::tear_down();
 	}
 
Index: /trunk/tests/phpunit/tests/media.php
===================================================================
--- /trunk/tests/phpunit/tests/media.php	(revision 54225)
+++ /trunk/tests/phpunit/tests/media.php	(revision 54226)
@@ -34,6 +34,5 @@
 		$GLOBALS['_wp_additional_image_sizes'] = array();
 
-		$filename = DIR_TESTDATA . '/images/' . self::$large_filename;
-		add_filter( 'image_editor_output_format', '__return_empty_array' );
+		$filename       = DIR_TESTDATA . '/images/' . self::$large_filename;
 		self::$large_id = $factory->attachment->create_upload_object( $filename );
 
@@ -70,5 +69,4 @@
 	public static function wpTearDownAfterClass() {
 		$GLOBALS['_wp_additional_image_sizes'] = self::$_sizes;
-		remove_filter( 'image_editor_output_format', '__return_empty_array' );
 	}
 
@@ -3624,129 +3622,4 @@
 		remove_filter( 'wp_omit_loading_attr_threshold', '__return_null', 100 );
 	}
-
-	/**
-	 * Test the wp_default_image_output_mapping function.
-	 *
-	 * @ticket 55443
-	 */
-	public function test_wp_default_image_output_mapping() {
-		$mapping = wp_default_image_output_mapping( array(), 'test.jpg', 'image/jpeg', '' );
-		$this->assertSame( array( 'image/jpeg' => 'image/webp' ), $mapping );
-	}
-
-	/**
-	 * Test that wp_default_image_output_mapping doesn't overwrite existing mappings.
-	 *
-	 * @ticket 55443
-	 */
-	public function test_wp_default_image_output_mapping_existing() {
-		$mapping = array( 'mime/png' => 'mime/webp' );
-		$mapping = wp_default_image_output_mapping( $mapping, 'test.jpg', 'image/jpeg', '' );
-		$this->assertSame(
-			array(
-				'mime/png'   => 'mime/webp',
-				'image/jpeg' => 'image/webp',
-			),
-			$mapping
-		);
-	}
-
-	/**
-	 * Test that the image editor default output for JPEGs is WebP.
-	 *
-	 * @ticket 55443
-	 */
-	public function test_wp_image_editor_default_output_maps_to_webp() {
-		remove_filter( 'image_editor_output_format', '__return_empty_array' );
-
-		$editor = wp_get_image_editor( DIR_TESTDATA . '/images/canola.jpg' );
-		$this->assertNotWPError( $editor );
-
-		$resized = $editor->resize( 100, 100, false );
-		$this->assertNotWPError( $resized );
-
-		$saved = $editor->save();
-		$this->assertNotWPError( $saved );
-
-		if ( $editor->supports_mime_type( 'image/webp' ) ) {
-			$this->assertSame( 'image/webp', $saved['mime-type'] );
-			$this->assertSame( 'canola-100x75-jpg.webp', $saved['file'] );
-		} else {
-			$this->assertSame( 'image/jpeg', $saved['mime-type'] );
-			$this->assertSame( 'canola-100x75.jpg', $saved['file'] );
-		}
-	}
-
-	/**
-	 * @ticket 56526
-	 * @dataProvider data_wp_default_image_output_mapping_size_filter
-	 */
-	public function test_wp_default_image_output_mapping_size_filter( $size_name, $filter_callback, $expects_webp ) {
-		remove_all_filters( 'wp_image_sizes_with_additional_mime_type_support' );
-		if ( $filter_callback ) {
-			add_filter( 'wp_image_sizes_with_additional_mime_type_support', $filter_callback );
-		}
-
-		$mapping = wp_default_image_output_mapping( array(), 'test.jpg', 'image/jpeg', $size_name );
-		if ( $expects_webp ) {
-			$this->assertSame( array( 'image/jpeg' => 'image/webp' ), $mapping );
-		} else {
-			$this->assertSame( array(), $mapping );
-		}
-	}
-
-	public function data_wp_default_image_output_mapping_size_filter() {
-		return array(
-			'default size thumbnail'    => array(
-				'thumbnail',
-				null,
-				true,
-			),
-			'default size medium'       => array(
-				'medium',
-				null,
-				true,
-			),
-			'default size medium_large' => array(
-				'medium_large',
-				null,
-				true,
-			),
-			'default size large'        => array(
-				'large',
-				null,
-				true,
-			),
-			'default size unset'        => array(
-				'medium',
-				function( $enabled_sizes ) {
-					unset( $enabled_sizes['medium'] );
-					return $enabled_sizes;
-				},
-				false,
-			),
-			'default size set to false' => array(
-				'medium',
-				function( $enabled_sizes ) {
-					$enabled_sizes['medium'] = false;
-					return $enabled_sizes;
-				},
-				false,
-			),
-			'custom size'               => array(
-				'custom',
-				null,
-				false,
-			),
-			'custom size opted in'      => array(
-				'custom',
-				function( $enabled_sizes ) {
-					$enabled_sizes['custom'] = true;
-					return $enabled_sizes;
-				},
-				true,
-			),
-		);
-	}
 }
 
Index: /trunk/tests/phpunit/tests/post/attachments.php
===================================================================
--- /trunk/tests/phpunit/tests/post/attachments.php	(revision 54225)
+++ /trunk/tests/phpunit/tests/post/attachments.php	(revision 54226)
@@ -7,17 +7,8 @@
  */
 class Tests_Post_Attachments extends WP_UnitTestCase {
-	/**
-	 * Set up the test fixture.
-	 */
-	public function set_up() {
-		add_filter( 'image_editor_output_format', '__return_empty_array' );
-
-		parent::set_up();
-	}
 
 	public function tear_down() {
 		// Remove all uploads.
 		$this->remove_added_uploads();
-		remove_filter( 'image_editor_output_format', '__return_empty_array' );
 		parent::tear_down();
 	}
Index: /trunk/tests/phpunit/tests/rest-api/rest-attachments-controller.php
===================================================================
--- /trunk/tests/phpunit/tests/rest-api/rest-attachments-controller.php	(revision 54225)
+++ /trunk/tests/phpunit/tests/rest-api/rest-attachments-controller.php	(revision 54226)
@@ -94,5 +94,4 @@
 		add_filter( 'rest_pre_dispatch', array( $this, 'wpSetUpBeforeRequest' ), 10, 3 );
 		add_filter( 'posts_clauses', array( $this, 'save_posts_clauses' ), 10, 2 );
-		add_filter( 'image_editor_output_format', '__return_empty_array' );
 	}
 
@@ -122,6 +121,4 @@
 			WP_Image_Editor_Mock::$size_return = null;
 		}
-
-		remove_filter( 'image_editor_output_format', '__return_empty_array' );
 
 		parent::tear_down();