Index: /trunk/src/wp-content/themes/twentytwentythree/patterns/hidden-no-results.php
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/patterns/hidden-no-results.php	(revision 54372)
+++ /trunk/src/wp-content/themes/twentytwentythree/patterns/hidden-no-results.php	(revision 54372)
@@ -0,0 +1,14 @@
+<?php
+/**
+ * Title: Hidden No Results Content
+ * Slug: twentytwentythree/hidden-no-results-content
+ * Inserter: no
+ */
+?>
+<!-- wp:paragraph -->
+<p>
+<?php echo esc_html_x( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'Message explaining that there are no results returned from a search', 'twentytwentythree' ); ?>
+</p>
+<!-- /wp:paragraph -->
+
+<!-- wp:search {"label":"<?php echo esc_html_x( 'Search', 'label', 'twentytwentythree' ); ?>","placeholder":"<?php echo esc_attr_x( 'Search...', 'placeholder for search field', 'twentytwentythree' ); ?>","showLabel":false,"buttonText":"<?php esc_attr_e( 'Search', 'twentytwentythree' ); ?>","buttonUseIcon":true} /-->
Index: /trunk/src/wp-content/themes/twentytwentythree/patterns/post-meta.php
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/patterns/post-meta.php	(revision 54371)
+++ /trunk/src/wp-content/themes/twentytwentythree/patterns/post-meta.php	(revision 54372)
@@ -50,5 +50,5 @@
 				<!-- /wp:paragraph -->
 
-				<!-- wp:post-author-name {"isLink":true} /-->
+				<!-- wp:post-author {"showAvatar":false} /-->
 			</div>
 			<!-- /wp:group -->
Index: /trunk/src/wp-content/themes/twentytwentythree/styles/aubergine.json
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/styles/aubergine.json	(revision 54371)
+++ /trunk/src/wp-content/themes/twentytwentythree/styles/aubergine.json	(revision 54372)
@@ -116,14 +116,10 @@
 				}
 			},
-			"core/post-author-name": {
-				"elements": {
-					"link": {
-						"color": {
-							"text": "var(--wp--preset--color--primary)"
-						},
-						"typography": {
-							"fontStyle": "italic"
-						}
-					}
+			"core/post-author": {
+				"color": {
+					"text": "var(--wp--preset--color--primary)"
+				},
+				"typography": {
+					"fontStyle": "italic"
 				}
 			},
Index: /trunk/src/wp-content/themes/twentytwentythree/styles/block-out.json
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/styles/block-out.json	(revision 54371)
+++ /trunk/src/wp-content/themes/twentytwentythree/styles/block-out.json	(revision 54372)
@@ -171,4 +171,9 @@
 					"fontStyle": "italic",
 					"fontWeight": "400"
+				},
+				":active": {
+					"color": {
+						"text": "var(--wp--preset--color--contrast)"
+					}
 				}
 			},
Index: /trunk/src/wp-content/themes/twentytwentythree/styles/canary.json
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/styles/canary.json	(revision 54371)
+++ /trunk/src/wp-content/themes/twentytwentythree/styles/canary.json	(revision 54372)
@@ -132,6 +132,20 @@
 		"elements": {
 			"button": {
+				":hover": {
+					"color": {
+						"background": "var(--wp--preset--color--base)",
+						"text": "var(--wp--preset--color--contrast)"
+					},
+					"border": {
+						"color": "var(--wp--preset--color--contrast)",
+						"style": "solid",
+						"width": "2px"
+					}
+				},
 				"border": {
-					"radius": "5px"
+					"radius": "5px",
+					"color": "var(--wp--preset--color--contrast)",
+					"style": "solid",
+					"width": "2px"
 				},
 				"color": {
Index: /trunk/src/wp-content/themes/twentytwentythree/styles/electric.json
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/styles/electric.json	(revision 54371)
+++ /trunk/src/wp-content/themes/twentytwentythree/styles/electric.json	(revision 54372)
@@ -35,7 +35,30 @@
 		"elements": {
 			"button": {
+				"border": {
+					"style": "solid",
+					"width": "2px",
+					"color": "var(--wp--preset--color--contrast)"
+				},
 				"color": {
 					"background": "var(--wp--preset--color--contrast)",
 					"text": "var(--wp--preset--color--base)"
+				},
+				"spacing": {
+					"padding": {
+						"top": ".667em",
+						"right": "1.333em",
+						"bottom": ".667em",
+						"left": "1.333em"
+					}
+				},
+				":active": {
+					"typography": {
+						"textDecoration": "underline dotted"
+					}
+				},
+				":focus": {
+					"typography": {
+						"textDecoration": "underline dotted"
+					}
 				},
 				":hover": {
@@ -43,5 +66,5 @@
 						"color": "var(--wp--preset--color--contrast)",
 						"style": "solid",
-						"width": "1px"
+						"width": "2px"
 					},
 					"color": {
Index: /trunk/src/wp-content/themes/twentytwentythree/styles/grapes.json
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/styles/grapes.json	(revision 54371)
+++ /trunk/src/wp-content/themes/twentytwentythree/styles/grapes.json	(revision 54372)
@@ -34,4 +34,15 @@
 	"styles": {
 		"blocks": {
+			"core/post-comments": {
+				"elements": {
+					"link": {
+						":hover": {
+							"typography": {
+								"textDecoration": "underline dashed"
+							}
+						}
+					}
+				}
+			},
 			"core/post-date": {
 				"typography": {
@@ -44,4 +55,9 @@
 					"fontFamily": "var(--wp--preset--font-family--source-serif-pro)",
 					"fontStyle": "italic"
+				}
+			},
+			"core/site-title": {
+				"typography": {
+					"textTransform": "lowercase"
 				}
 			}
@@ -66,5 +82,5 @@
 				":hover": {
 					"typography": {
-						"textDecoration": "underline"
+						"textDecoration": "underline dashed"
 					}
 				}
Index: /trunk/src/wp-content/themes/twentytwentythree/styles/marigold.json
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/styles/marigold.json	(revision 54371)
+++ /trunk/src/wp-content/themes/twentytwentythree/styles/marigold.json	(revision 54372)
@@ -39,30 +39,30 @@
 		{
 		  "size": "clamp(0.625rem, 0.434rem + 0.61vw, 0.938rem)",
-		  "name": "30",
+		  "name": "1",
 		  "slug": "30"
 		},
 		{
 		  "size": "clamp(1.25rem, 0.869rem + 1.22vw, 1.875rem)",
-		  "name": "40",
+		  "name": "2",
 		  "slug": "40"
 		},
 		{
 		  "size": "clamp(1.875rem, 1.303rem + 1.83vw, 2.813rem)",
-		  "name": "50",
+		  "name": "3",
 		  "slug": "50"
 		},
 		{
 		  "size": "clamp(2.5rem, 1.738rem + 2.44vw, 3.75rem)",
-		  "name": "60",
+		  "name": "4",
 		  "slug": "60"
 		},
 		{
 		  "size": "clamp(2.813rem, 1.098rem + 5.49vw, 5.625rem)",
-		  "name": "70",
+		  "name": "5",
 		  "slug": "70"
 		},
 		{
 		  "size": "clamp(3.75rem, 1.463rem + 7.32vw, 7.5rem)",
-		  "name": "80",
+		  "name": "6",
 		  "slug": "80"
 		}
@@ -203,4 +203,7 @@
 			}
 		  }
+		},
+		"typography": {
+			"textTransform": "lowercase"
 		}
 	  }
Index: /trunk/src/wp-content/themes/twentytwentythree/styles/pilgrimage.json
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/styles/pilgrimage.json	(revision 54371)
+++ /trunk/src/wp-content/themes/twentytwentythree/styles/pilgrimage.json	(revision 54372)
@@ -204,4 +204,8 @@
 						}
 					}
+				},
+				"typography": {
+					"fontStyle": "italic",
+					"fontWeight": "700"
 				}
 			}
@@ -214,5 +218,6 @@
 				":active": {
 					"color": {
-						"background": "var(--wp--preset--color--secondary)"
+						"background": "var(--wp--preset--color--secondary)",
+						"gradient": "none"
 					}
 				},
Index: /trunk/src/wp-content/themes/twentytwentythree/styles/pitch.json
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/styles/pitch.json	(revision 54371)
+++ /trunk/src/wp-content/themes/twentytwentythree/styles/pitch.json	(revision 54372)
@@ -43,35 +43,35 @@
 					"size": "calc(8px + 1.5625vw)",
 					"slug": "20",
-					"name": "Tiny"
+					"name": "1"
 				},
 				{
 					"size": "calc(12px + 1.5625vw)",
 					"slug": "30",
-					"name": "Small"
+					"name": "2"
 				},
 				{
 					"size": "calc(16px + 1.5625vw)",
 					"slug": "40",
-					"name": "Medium"
+					"name": "3"
 				},
 				{
 					"size": "calc(20px + 1.5625vw)",
 					"slug": "50",
-					"name": "Large"
+					"name": "4"
 				},
 				{
 					"size": "calc(24px + 1.5625vw)",
 					"slug": "60",
-					"name": "Extra Large"
+					"name": "5"
 				},
 				{
 					"size": "calc(28px + 1.5625vw)",
 					"slug": "70",
-					"name": "2X Large"
+					"name": "6"
 				},
 				{
 					"size": "calc(32px + 1.5625vw)",
 					"slug": "80",
-					"name": "3X Large"
+					"name": "7"
 				}
 			]
@@ -146,5 +146,8 @@
 			"button": {
 				"border": {
-					"radius": "0"
+					"radius": "0",
+					"style": "solid",
+					"width": "2px",
+					"color": "var(--wp--preset--color--primary)"
 				},
 				"color": {
@@ -154,8 +157,8 @@
 				"spacing": {
 					"padding": {
-						"top": "min(1.25rem, 3vw)",
-						"right": "min(2.25rem, 5vw)",
-						"bottom": "min(1.25rem, 3vw)",
-						"left": "min(2.25rem, 5vw)"
+						"top": "min(1.125rem, 3vw) !important",
+						"right": "min(2.125rem, 5vw) !important",
+						"bottom": "min(1.125rem, 3vw) !important",
+						"left": "min(2.125rem, 5vw) !important"
 					}
 				},
@@ -167,19 +170,28 @@
 				},
 				":hover": {
+					"border": {
+						"color": "var(--wp--preset--color--contrast)"
+					},
 					"color": {
 						"background": "var(--wp--preset--color--contrast)",
-						"text": "var(--wp--preset--color--primary)"
+						"text": "var(--wp--preset--color--tertiary)"
 					}
 				},
 				":focus": {
+					"border": {
+						"color": "var(--wp--preset--color--contrast)"
+					},
 					"color": {
 						"background": "var(--wp--preset--color--contrast)",
-						"text": "var(--wp--preset--color--primary)"
+						"text": "var(--wp--preset--color--tertiary)"
 					}
 				},
 				":active": {
+					"border": {
+						"color": "var(--wp--preset--color--contrast)"
+					},
 					"color": {
 						"background": "var(--wp--preset--color--contrast)",
-						"text": "var(--wp--preset--color--primary)"
+						"text": "var(--wp--preset--color--tertiary)"
 					}
 				}
Index: /trunk/src/wp-content/themes/twentytwentythree/styles/sherbet.json
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/styles/sherbet.json	(revision 54371)
+++ /trunk/src/wp-content/themes/twentytwentythree/styles/sherbet.json	(revision 54372)
@@ -8,8 +8,7 @@
 				{
 					"colors": [
-						"rgb(81, 82, 213)",
-						"rgb(121, 238, 196)",
-						"rgb(236, 249, 87)",
-						"rgb(247, 69, 204)"
+						"#FF99FF",
+						"#FFFF99",
+						"#99FFFF"
 					],
 					"name": "Default filter",
@@ -22,4 +21,14 @@
 					"name": "Primary to Secondary to Tertiary",
 					"slug": "primary-secondary-tertiary"
+				},
+				{
+					"gradient": "linear-gradient(135deg, var(--wp--preset--color--primary) 0%, var(--wp--preset--color--secondary) 50%, var(--wp--preset--color--tertiary) 100%) fixed",
+					"name": "Primary to Secondary to Tertiary Fixed",
+					"slug": "primary-secondary-tertiary-fixed"
+				},
+				{
+					"gradient": "linear-gradient(135deg, var(--wp--preset--color--tertiary) 0%, var(--wp--preset--color--secondary) 50%, var(--wp--preset--color--primary) 100%) fixed",
+					"name": "Tertiary to Secondary to Primary Fixed",
+					"slug": "tertiary-secondary-primary-fixed"
 				}
 			],
@@ -55,4 +64,5 @@
 			"fontSizes": [
 				{
+					"fluid": false,
 					"size": "0.75rem",
 					"slug": "x-small"
@@ -60,5 +70,6 @@
 				{
 					"fluid": {
-						"min": "0.875rem"
+						"min": "0.875rem",
+						"max": "1rem"
 					},
 					"size": "1rem",
@@ -67,5 +78,6 @@
 				{
 					"fluid": {
-						"min": "1rem"
+						"min": "1rem",
+						"max": "1.125rem"
 					},
 					"size": "1.125rem",
@@ -73,12 +85,24 @@
 				},
 				{
+					"fluid": {
+						"min": "1.5rem",
+						"max": "1.75rem"
+					},
 					"size": "1.75rem",
 					"slug": "large"
 				},
 				{
+					"fluid": {
+						"min": "2rem",
+						"max": "2.25rem"
+					},
 					"size": "2.25rem",
 					"slug": "x-large"
 				},
 				{
+					"fluid": {
+						"min": "2.5rem",
+						"max": "2.75rem"
+					},
 					"size": "2.75rem",
 					"slug": "xx-large"
@@ -89,12 +113,30 @@
 	"styles": {
 		"blocks": {
-			"core/heading": {
-				"typography": {
-					"fontWeight": "500"
+			"core/comments": {
+				"elements": {
+					"link": {
+						":active": {
+							"color": {
+								"text": "var(--wp--preset--color--contrast)"
+							}
+						}
+					}
+				}
+			},
+			"core/comment-author-name": {
+				"typography": {
+					"fontSize": "var(--wp--preset--font-size--medium)",
+					"textTransform": "initial"
+				}
+			},
+			"core/comment-content": {
+				"typography": {
+					"fontSize": "var(--wp--preset--font-size--medium)",
+					"textTransform": "initial"
 				}
 			},
 			"core/navigation": {
 				"typography": {
-					"fontSize": "var(--wp--preset--font-size--x-small)",
+					"fontSize": "var(--wp--preset--font-size--small)",
 					"fontWeight": "500",
 					"textTransform": "uppercase"
@@ -106,6 +148,16 @@
 						"color": {
 							"text": "var(--wp--preset--color--contrast)"
+						},
+						":active": {
+							"color": {
+								"text": "var(--wp--preset--color--contrast)"
+							}
 						}
 					}
+				}
+			},
+			"core/post-date": {
+				"typography": {
+					"textTransform": "uppercase"
 				}
 			},
@@ -143,27 +195,37 @@
 		"elements": {
 			"button": {
+				"border": {
+					"color": "var(--wp--preset--color--contrast)",
+					"radius": "99999px",
+					"style": "solid",
+					"width": "2px"
+				},
+				"color": {
+					"background": "var(--wp--preset--color--base)",
+					"gradient": "var(--wp--preset--gradient--primary-secondary-tertiary-fixed)",
+					"text": "var(--wp--preset--color--contrast)"
+				},
+				"typography": {
+					"fontSize": "var(--wp--preset--font-size--x-small)",
+					"fontWeight": "400",
+					"textTransform": "uppercase"
+				},
+				":hover": {
+					"color": {
+						"gradient": "var(--wp--preset--gradient--tertiary-secondary-primary-fixed)",
+						"text": "var(--wp--preset--color--contrast)"
+					}
+				},
+				":focus": {
+					"color": {
+						"background": "var(--wp--preset--color--contrast)",
+						"gradient": "none"
+					}
+				},
 				":active": {
 					"color": {
-						"text": "var(--wp--preset--color--base)"
-					}
-				},
-				":hover": {
-					"color": {
-						"gradient": "radial-gradient(ellipse at top left, rgba(236, 249, 87, 1) 15% , transparent 100%) fixed, radial-gradient(ellipse at bottom left, rgba(247, 69, 204, 1) 15% , transparent 100%) fixed, radial-gradient(ellipse at top right, rgba(121, 238, 196, 1) 15% , transparent 100%) fixed, radial-gradient(ellipse at bottom right, rgba(81, 82, 213, 1) 15% , transparent 100%) fixed",
-						"text": "var(--wp--preset--color--base)"
-					}
-				},
-				"border": {
-					"radius": "99999px"
-				},
-				"color": {
-					"background": "var(--wp--preset--color--base)",
-					"gradient": "radial-gradient(ellipse at bottom right, rgba(236, 249, 87, 1) 15% , transparent 100%) fixed, radial-gradient(ellipse at top right, rgba(247, 69, 204, 1) 15% , transparent 100%) fixed, radial-gradient(ellipse at bottom left, rgba(121, 238, 196, 1) 15% , transparent 100%) fixed, radial-gradient(ellipse at bottom left, rgba(81, 82, 213, 1) 15% , transparent 100%) fixed",
-					"text": "var(--wp--preset--color--contrast)"
-				},
-				"typography": {
-					"fontSize": "var(--wp--preset--font-size--x-small)",
-					"fontWeight": "400",
-					"textTransform": "uppercase"
+						"background": "var(--wp--preset--color--contrast)",
+						"gradient": "none"
+					}
 				}
 			},
Index: /trunk/src/wp-content/themes/twentytwentythree/styles/whisper.json
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/styles/whisper.json	(revision 54371)
+++ /trunk/src/wp-content/themes/twentytwentythree/styles/whisper.json	(revision 54372)
@@ -257,5 +257,54 @@
 				"typography": {
 					"fontSize": "var(--wp--preset--font-size--large)",
-					"lineHeight": "1.4"
+					"lineHeight": "1.4",
+					"textTransform": "capitalize"
+				}
+			},
+			"core/comment-author-name":{
+				"elements": {
+					"link": {
+						":hover": {
+							"typography": {
+								"textDecoration": "none"
+							}
+						},
+						":focus": {
+							"typography": {
+								"textDecoration": "none"
+							}
+						}
+					}
+				}
+			},
+			"core/comment-date": {
+				"elements": {
+					"link": {
+						":hover": {
+							"typography": {
+								"textDecoration": "none"
+							}
+						},
+						":focus": {
+							"typography": {
+								"textDecoration": "none"
+							}
+						}
+					}
+				}
+			},
+			"core/comment-edit-link": {
+				"elements": {
+					"link": {
+						":hover": {
+							"typography": {
+								"textDecoration": "none"
+							}
+						},
+						":focus": {
+							"typography": {
+								"textDecoration": "none"
+							}
+						}
+					}
 				}
 			}
@@ -421,4 +470,7 @@
 				},
 				":active": {
+					"border": {
+						"width": "0"
+					},
 					"color": {
 						"text": "var(--wp--preset--color--secondary)"
Index: /trunk/src/wp-content/themes/twentytwentythree/templates/home.html
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/templates/home.html	(revision 54371)
+++ /trunk/src/wp-content/themes/twentytwentythree/templates/home.html	(revision 54372)
@@ -3,9 +3,4 @@
 <!-- wp:group {"tagName":"main","style":{"spacing":{"margin":{"top":"var:preset|spacing|70","bottom":"var:preset|spacing|70"}}},"layout":{"type":"constrained"}} -->
 <main class="wp-block-group" style="margin-top:var(--wp--preset--spacing--70);margin-bottom:var(--wp--preset--spacing--70)">
-
-	<!-- wp:image {"align":"wide"} -->
-	<figure class="wp-block-image alignwide"><img alt=""/></figure>
-	<!-- /wp:image -->
-
 	<!-- wp:heading {"level":1,"align":"wide","style":{"spacing":{"margin":{"top":"var:preset|spacing|60","bottom":"var:preset|spacing|50"}}}} -->
 	<h1 class="alignwide" style="margin-top:var(--wp--preset--spacing--60);margin-bottom:var(--wp--preset--spacing--50)">Mindblown: a blog about philosophy.</h1>
Index: /trunk/src/wp-content/themes/twentytwentythree/templates/page.html
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/templates/page.html	(revision 54371)
+++ /trunk/src/wp-content/themes/twentytwentythree/templates/page.html	(revision 54372)
@@ -5,4 +5,5 @@
 	<!-- wp:group {"layout":{"type":"constrained"}} -->
 	<div class="wp-block-group">
+		<!-- wp:post-featured-image {"overlayColor":"contrast","dimRatio":50,"align":"wide"} /-->
 		<!-- wp:post-title {"level":1,"align":"wide","style":{"spacing":{"margin":{"top":"var:preset|spacing|70","bottom":"var:preset|spacing|70"}}}} /-->
 	</div>
Index: /trunk/src/wp-content/themes/twentytwentythree/templates/search.html
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/templates/search.html	(revision 54371)
+++ /trunk/src/wp-content/themes/twentytwentythree/templates/search.html	(revision 54372)
@@ -28,9 +28,5 @@
 
 		<!-- wp:query-no-results -->
-			<!-- wp:paragraph -->
-			<p>Sorry, but nothing matched your search terms. Please try again with some different keywords.</p>
-			<!-- /wp:paragraph -->
-
-			<!-- wp:search {"label":"Search","showLabel":false,"buttonText":"Search","buttonUseIcon":true} /-->
+			<!-- wp:pattern {"slug":"twentytwentythree/hidden-no-results-content"} /-->
 		<!-- /wp:query-no-results -->
 	</div>
Index: /trunk/src/wp-content/themes/twentytwentythree/templates/single.html
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/templates/single.html	(revision 54371)
+++ /trunk/src/wp-content/themes/twentytwentythree/templates/single.html	(revision 54372)
@@ -5,4 +5,5 @@
 	<!-- wp:group {"layout":{"type":"constrained"}} -->
 	<div class="wp-block-group">
+		<!-- wp:post-featured-image {"overlayColor":"contrast","dimRatio":50,"align":"wide"} /-->
 		<!-- wp:post-title {"level":1,"align":"wide","style":{"spacing":{"margin":{"top":"var:preset|spacing|70","bottom":"var:preset|spacing|70"}}}} /-->
 	</div>
Index: unk/src/wp-content/themes/twentytwentythree/templates/with-cover-block.html
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/templates/with-cover-block.html	(revision 54371)
+++ 	(revision )
@@ -1,19 +1,0 @@
-<!-- wp:template-part {"slug":"header","tagName":"header"} /-->
-
-<!-- wp:group {"tagName":"main"} -->
-<main class="wp-block-group">
-	<!-- wp:group {"layout":{"type":"constrained"},"style":{"spacing":{"padding":{"bottom":"var:preset|spacing|70"}}}} -->
-	<div class="wp-block-group" style="padding-bottom:var(--wp--preset--spacing--70)">
-		<!-- wp:cover {"useFeaturedImage":true,"dimRatio":50,"overlayColor":"contrast","align":"wide","style":{"color":{"duotone":"unset"}}} -->
-		<div class="wp-block-cover alignwide"><span aria-hidden="true" class="wp-block-cover__background has-contrast-background-color has-background-dim"></span><div class="wp-block-cover__inner-container"><!-- wp:post-title {"level":1,"style":{"spacing":{"padding":{"top":"var:preset|spacing|40","right":"var:preset|spacing|40","bottom":"var:preset|spacing|40","left":"var:preset|spacing|40"}}},"textColor":"base"} /--></div></div>
-		<!-- /wp:cover -->
-	</div>
-	<!-- /wp:group -->
-
-	<!-- wp:post-content {"layout":{"type":"constrained"}} /-->
-	<!-- wp:template-part {"slug":"post-meta"} /-->
-	<!-- wp:template-part {"slug":"comments","tagName":"section"} /-->
-</main>
-<!-- /wp:group -->
-
-<!-- wp:template-part {"slug":"footer","tagName":"footer"} /-->
Index: unk/src/wp-content/themes/twentytwentythree/templates/with-featured-image.html
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/templates/with-featured-image.html	(revision 54371)
+++ 	(revision )
@@ -1,18 +1,0 @@
-<!-- wp:template-part {"slug":"header","tagName":"header"} /-->
-
-<!-- wp:group {"tagName":"main"} -->
-<main class="wp-block-group">
-	<!-- wp:group {"layout":{"type":"constrained"}} -->
-	<div class="wp-block-group">
-		<!-- wp:post-featured-image {"align":"wide"} /-->
-		<!-- wp:post-title {"level":1,"align":"wide","style":{"spacing":{"margin":{"top":"var:preset|spacing|70","bottom":"var:preset|spacing|70"}}}} /-->
-	</div>
-	<!-- /wp:group -->
-
-	<!-- wp:post-content {"layout":{"type":"constrained"}} /-->
-	<!-- wp:template-part {"slug":"post-meta"} /-->
-	<!-- wp:template-part {"slug":"comments","tagName":"section"} /-->
-</main>
-<!-- /wp:group -->
-
-<!-- wp:template-part {"slug":"footer","tagName":"footer"} /-->
Index: /trunk/src/wp-content/themes/twentytwentythree/theme.json
===================================================================
--- /trunk/src/wp-content/themes/twentytwentythree/theme.json	(revision 54371)
+++ /trunk/src/wp-content/themes/twentytwentythree/theme.json	(revision 54372)
@@ -24,20 +24,4 @@
 			],
 			"title": "404"
-		},
-		{
-			"name": "with-featured-image",
-			"postTypes": [
-				"page",
-				"post"
-			],
-			"title": "With Featured Image"
-		},
-		{
-			"name": "with-cover-block",
-			"postTypes": [
-				"page",
-				"post"
-			],
-			"title": "With Cover Block"
 		}
 	],
@@ -85,30 +69,30 @@
 					"size": "clamp(1.5rem, 5vw, 2rem)",
 					"slug": "30",
-					"name": "30"
+					"name": "1"
 				},
 				{
 					"size": "clamp(1.8rem, 1.8rem + ((1vw - 0.48rem) * 2.885), 3rem)",
 					"slug": "40",
-					"name": "40"
+					"name": "2"
 				},
 				{
 					"size": "clamp(2.5rem, 8vw, 6.5rem)",
 					"slug": "50",
-					"name": "50"
+					"name": "3"
 				},
 				{
 					"size": "clamp(3.75rem, 10vw, 7rem)",
 					"slug": "60",
-					"name": "60"
+					"name": "4"
 				},
 				{
 					"size": "clamp(5rem, 5.25rem + ((1vw - 0.48rem) * 9.096), 8rem)",
 					"slug": "70",
-					"name": "70"
+					"name": "5"
 				},
 				{
 					"size": "clamp(7rem, 14vw, 11rem)",
 					"slug": "80",
-					"name": "80"
+					"name": "6"
 				}
 			],
@@ -359,4 +343,9 @@
 						"typography": {
 							"textDecoration": "none"
+						},
+						":hover": {
+							"typography": {
+								"textDecoration": "underline"
+							}
 						}
 					}
@@ -474,29 +463,4 @@
 				"typography": {
 					"fontSize": "var(--wp--preset--font-size--small)"
-				},
-				"elements": {
-					"link": {
-						":hover": {
-							"typography": {
-								"textDecoration": "underline"
-							}
-						},
-						":focus": {
-							"typography": {
-								"textDecoration": "underline dashed"
-							}
-						},
-						":active": {
-							"color": {
-								"text": "var(--wp--preset--color--secondary)"
-							},
-							"typography": {
-								"textDecoration": "none"
-							}
-						},
-						"typography": {
-							"textDecoration": "none"
-						}
-					}
 				}
 			},
@@ -534,4 +498,9 @@
 						"typography": {
 							"textDecoration": "none"
+						},
+						":hover": {
+							"typography": {
+								"textDecoration": "underline"
+							}
 						}
 					}