Index: /trunk/src/wp-content/themes/twentyseventeen/assets/js/jquery.scrollTo.js
===================================================================
--- /trunk/src/wp-content/themes/twentyseventeen/assets/js/jquery.scrollTo.js	(revision 54373)
+++ /trunk/src/wp-content/themes/twentyseventeen/assets/js/jquery.scrollTo.js	(revision 54374)
@@ -1,10 +1,10 @@
 /*!
  * jQuery.scrollTo
- * Copyright (c) 2007-2015 Ariel Flesler - aflesler<a>gmail<d>com | http://flesler.blogspot.com
+ * Copyright (c) 2007 Ariel Flesler - aflesler ○ gmail • com | https://github.com/flesler
  * Licensed under MIT
- * http://flesler.blogspot.com/2007/10/jqueryscrollto.html
+ * https://github.com/flesler/jquery.scrollTo
  * @projectDescription Lightweight, cross-browser and highly customizable animated scrolling with jQuery
  * @author Ariel Flesler
- * @version 2.1.2
+ * @version 2.1.3
  */
 ;(function(factory) {
@@ -12,11 +12,11 @@
 	if (typeof define === 'function' && define.amd) {
 		// AMD
-		define( ['jquery'], factory );
+		define(['jquery'], factory);
 	} else if (typeof module !== 'undefined' && module.exports) {
 		// CommonJS
-		module.exports = factory( require( 'jquery' ) );
+		module.exports = factory(require('jquery'));
 	} else {
 		// Global
-		factory( jQuery );
+		factory(jQuery);
 	}
 })(function($) {
@@ -24,5 +24,5 @@
 
 	var $scrollTo = $.scrollTo = function(target, duration, settings) {
-		return $( window ).scrollTo( target, duration, settings );
+		return $(window).scrollTo(target, duration, settings);
 	};
 
@@ -34,6 +34,11 @@
 
 	function isWin(elem) {
-		return ! elem.nodeName ||
-			$.inArray( elem.nodeName.toLowerCase(), ['iframe','#document','html','body'] ) !== -1;
+		return !elem.nodeName ||
+			$.inArray(elem.nodeName.toLowerCase(), ['iframe','#document','html','body']) !== -1;
+	}
+
+	function isFunction(obj) {
+		// Brought from jQuery since it's deprecated
+		return typeof obj === 'function'
 	}
 
@@ -50,5 +55,5 @@
 		}
 
-		settings = $.extend( {}, $scrollTo.defaults, settings );
+		settings = $.extend({}, $scrollTo.defaults, settings);
 		// Speed is still recognized for backwards compatibility
 		duration = duration || settings.duration;
@@ -59,14 +64,14 @@
 			duration /= 2;
 		}
-		settings.offset = both( settings.offset );
-		settings.over = both( settings.over );
+		settings.offset = both(settings.offset);
+		settings.over = both(settings.over);
 
 		return this.each(function() {
 			// Null target yields nothing, just like jQuery does
-			if (target === null) { return; }
-
-			var win = isWin( this ),
+			if (target === null) return;
+
+			var win = isWin(this),
 				elem = win ? this.contentWindow || window : this,
-				$elem = $( elem ),
+				$elem = $(elem),
 				targ = target,
 				attr = {},
@@ -77,29 +82,29 @@
 				case 'number':
 				case 'string':
-					if (/^([+-]=?)?\d+(\.\d+)?(px|%)?$/.test( targ )) {
-						targ = both( targ );
+					if (/^([+-]=?)?\d+(\.\d+)?(px|%)?$/.test(targ)) {
+						targ = both(targ);
 						// We are done
 						break;
 					}
 					// Relative/Absolute selector
-					targ = win ? $( targ ) : $( targ, elem );
+					targ = win ? $(targ) : $(targ, elem);
 					/* falls through */
 				case 'object':
-					if (targ.length === 0) { return; }
+					if (targ.length === 0) return;
 					// DOMElement / jQuery
 					if (targ.is || targ.style) {
 						// Get the real position of the target
-						toff = (targ = $( targ )).offset();
-					}
-			}
-
-			var offset = $.isFunction( settings.offset ) && settings.offset( elem, targ ) || settings.offset;
-
-			$.each(settings.axis.split( '' ), function(i, axis) {
+						toff = (targ = $(targ)).offset();
+					}
+			}
+
+			var offset = isFunction(settings.offset) && settings.offset(elem, targ) || settings.offset;
+
+			$.each(settings.axis.split(''), function(i, axis) {
 				var Pos	= axis === 'x' ? 'Left' : 'Top',
 					pos = Pos.toLowerCase(),
 					key = 'scroll' + Pos,
 					prev = $elem[key](),
-					max = $scrollTo.max( elem, axis );
+					max = $scrollTo.max(elem, axis);
 
 				if (toff) {// jQuery / DOMElement
@@ -108,6 +113,6 @@
 					// If it's a dom element, reduce the margin
 					if (settings.margin) {
-						attr[key] -= parseInt( targ.css( 'margin' + Pos ), 10 ) || 0;
-						attr[key] -= parseInt( targ.css( 'border' + Pos + 'Width' ), 10 ) || 0;
+						attr[key] -= parseInt(targ.css('margin'+Pos), 10) || 0;
+						attr[key] -= parseInt(targ.css('border'+Pos+'Width'), 10) || 0;
 					}
 
@@ -121,17 +126,17 @@
 					var val = targ[pos];
 					// Handle percentage values
-					attr[key] = val.slice && val.slice( -1 ) === '%' ?
-						parseFloat( val ) / 100 * max
+					attr[key] = val.slice && val.slice(-1) === '%' ?
+						parseFloat(val) / 100 * max
 						: val;
 				}
 
 				// Number or 'number'
-				if (settings.limit && /^\d+$/.test( attr[key] )) {
+				if (settings.limit && /^\d+$/.test(attr[key])) {
 					// Check the limits
-					attr[key] = attr[key] <= 0 ? 0 : Math.min( attr[key], max );
+					attr[key] = attr[key] <= 0 ? 0 : Math.min(attr[key], max);
 				}
 
 				// Don't waste time animating, if there's no need.
-				if ( ! i && settings.axis.length > 1) {
+				if (!i && settings.axis.length > 1) {
 					if (prev === attr[key]) {
 						// No animation needed
@@ -139,5 +144,5 @@
 					} else if (queue) {
 						// Intermediate animation
-						animate( settings.onAfterFirst );
+						animate(settings.onAfterFirst);
 						// Don't animate this axis again in the next iteration.
 						attr = {};
@@ -146,5 +151,5 @@
 			});
 
-			animate( settings.onAfter );
+			animate(settings.onAfter);
 
 			function animate(callback) {
@@ -155,8 +160,8 @@
 					duration: duration,
 					complete: callback && function() {
-						callback.call( elem, targ, settings );
+						callback.call(elem, targ, settings);
 					}
 				});
-				$elem.animate( attr, opts );
+				$elem.animate(attr, opts);
 			}
 		});
@@ -167,8 +172,8 @@
 	$scrollTo.max = function(elem, axis) {
 		var Dim = axis === 'x' ? 'Width' : 'Height',
-			scroll = 'scroll' + Dim;
-
-		if ( ! isWin( elem )) {
-			return elem[scroll] - $( elem )[Dim.toLowerCase()](); }
+			scroll = 'scroll'+Dim;
+
+		if (!isWin(elem))
+			return elem[scroll] - $(elem)[Dim.toLowerCase()]();
 
 		var size = 'client' + Dim,
@@ -177,28 +182,29 @@
 			body = doc.body;
 
-		return Math.max( html[scroll], body[scroll] ) - Math.min( html[size], body[size] );
+		return Math.max(html[scroll], body[scroll]) - Math.min(html[size], body[size]);
 	};
 
 	function both(val) {
-		return $.isFunction( val ) || $.isPlainObject( val ) ? val : { top:val, left:val };
+		return isFunction(val) || $.isPlainObject(val) ? val : { top:val, left:val };
 	}
 
 	// Add special hooks so that window scroll properties can be animated
-	$.Tween.propHooks.scrollLeft = $.Tween.propHooks.scrollTop = {
+	$.Tween.propHooks.scrollLeft =
+	$.Tween.propHooks.scrollTop = {
 		get: function(t) {
-			return $( t.elem )[t.prop]();
+			return $(t.elem)[t.prop]();
 		},
 		set: function(t) {
-			var curr = this.get( t );
+			var curr = this.get(t);
 			// If interrupt is true and user scrolled, stop animating
 			if (t.options.interrupt && t._last && t._last !== curr) {
-				return $( t.elem ).stop();
-			}
-			var next = Math.round( t.now );
+				return $(t.elem).stop();
+			}
+			var next = Math.round(t.now);
 			// Don't waste CPU
 			// Browsers don't render floating point scroll
 			if (curr !== next) {
-				$( t.elem )[t.prop](next);
-				t._last = this.get( t );
+				$(t.elem)[t.prop](next);
+				t._last = this.get(t);
 			}
 		}
Index: /trunk/src/wp-content/themes/twentyseventeen/functions.php
===================================================================
--- /trunk/src/wp-content/themes/twentyseventeen/functions.php	(revision 54373)
+++ /trunk/src/wp-content/themes/twentyseventeen/functions.php	(revision 54374)
@@ -499,5 +499,5 @@
 	wp_enqueue_script( 'twentyseventeen-global', get_theme_file_uri( '/assets/js/global.js' ), array( 'jquery' ), '20190121', true );
 
-	wp_enqueue_script( 'jquery-scrollto', get_theme_file_uri( '/assets/js/jquery.scrollTo.js' ), array( 'jquery' ), '2.1.2', true );
+	wp_enqueue_script( 'jquery-scrollto', get_theme_file_uri( '/assets/js/jquery.scrollTo.js' ), array( 'jquery' ), '2.1.3', true );
 
 	wp_localize_script( 'twentyseventeen-skip-link-focus-fix', 'twentyseventeenScreenReaderText', $twentyseventeen_l10n );