Index: /branches/5.7/tests/phpunit/tests/date/currentTime.php
===================================================================
--- /branches/5.7/tests/phpunit/tests/date/currentTime.php	(revision 54514)
+++ /branches/5.7/tests/phpunit/tests/date/currentTime.php	(revision 54515)
@@ -82,5 +82,5 @@
 	 */
 	public function test_should_return_wp_timestamp() {
-		update_option( 'timezone_string', 'Europe/Kiev' );
+		update_option( 'timezone_string', 'Europe/Helsinki' );
 
 		$timestamp = time();
@@ -107,5 +107,5 @@
 	 */
 	public function test_should_return_correct_local_time() {
-		update_option( 'timezone_string', 'Europe/Kiev' );
+		update_option( 'timezone_string', 'Europe/Helsinki' );
 
 		$timestamp      = time();
Index: /branches/5.7/tests/phpunit/tests/date/dateI18n.php
===================================================================
--- /branches/5.7/tests/phpunit/tests/date/dateI18n.php	(revision 54514)
+++ /branches/5.7/tests/phpunit/tests/date/dateI18n.php	(revision 54515)
@@ -12,5 +12,5 @@
 	 */
 	public function test_should_return_current_time_on_invalid_timestamp() {
-		$timezone = 'Europe/Kiev';
+		$timezone = 'Europe/Helsinki';
 		update_option( 'timezone_string', $timezone );
 
@@ -25,5 +25,5 @@
 	 */
 	public function test_should_handle_zero_timestamp() {
-		$timezone = 'Europe/Kiev';
+		$timezone = 'Europe/Helsinki';
 		update_option( 'timezone_string', $timezone );
 
@@ -144,5 +144,5 @@
 	 */
 	public function test_should_return_wp_timestamp() {
-		update_option( 'timezone_string', 'Europe/Kiev' );
+		update_option( 'timezone_string', 'Europe/Helsinki' );
 
 		$datetime     = new DateTimeImmutable( 'now', wp_timezone() );
@@ -194,8 +194,8 @@
 	public function dst_times() {
 		return array(
-			'Before DST start' => array( '2019-03-31 02:59:00', 'Europe/Kiev' ),
-			'After DST start'  => array( '2019-03-31 04:01:00', 'Europe/Kiev' ),
-			'Before DST end'   => array( '2019-10-27 02:59:00', 'Europe/Kiev' ),
-			'After DST end'    => array( '2019-10-27 04:01:00', 'Europe/Kiev' ),
+			'Before DST start' => array( '2019-03-31 02:59:00', 'Europe/Helsinki' ),
+			'After DST start'  => array( '2019-03-31 04:01:00', 'Europe/Helsinki' ),
+			'Before DST end'   => array( '2019-10-27 02:59:00', 'Europe/Helsinki' ),
+			'After DST end'    => array( '2019-10-27 04:01:00', 'Europe/Helsinki' ),
 		);
 	}
Index: /branches/5.7/tests/phpunit/tests/date/getFeedBuildDate.php
===================================================================
--- /branches/5.7/tests/phpunit/tests/date/getFeedBuildDate.php	(revision 54514)
+++ /branches/5.7/tests/phpunit/tests/date/getFeedBuildDate.php	(revision 54515)
@@ -48,5 +48,5 @@
 		global $wp_query;
 
-		update_option( 'timezone_string', 'Europe/Kiev' );
+		update_option( 'timezone_string', 'Europe/Helsinki' );
 		$datetime     = new DateTimeImmutable( 'now', wp_timezone() );
 		$datetime_utc = $datetime->setTimezone( new DateTimeZone( 'UTC' ) );
Index: /branches/5.7/tests/phpunit/tests/date/getPostTime.php
===================================================================
--- /branches/5.7/tests/phpunit/tests/date/getPostTime.php	(revision 54514)
+++ /branches/5.7/tests/phpunit/tests/date/getPostTime.php	(revision 54515)
@@ -52,5 +52,5 @@
 	 */
 	public function test_should_return_wp_timestamp() {
-		$timezone = 'Europe/Kiev';
+		$timezone = 'Europe/Helsinki';
 		update_option( 'timezone_string', $timezone );
 
@@ -81,5 +81,5 @@
 	 */
 	public function test_should_return_time() {
-		$timezone = 'Europe/Kiev';
+		$timezone = 'Europe/Helsinki';
 		update_option( 'timezone_string', $timezone );
 
@@ -122,5 +122,5 @@
 		);
 
-		update_option( 'timezone_string', 'Europe/Kiev' );
+		update_option( 'timezone_string', 'Europe/Helsinki' );
 
 		$this->assertSame( $rfc3339, get_post_time( DATE_RFC3339, true, $post_id ) );
Index: /branches/5.7/tests/phpunit/tests/date/mysql2date.php
===================================================================
--- /branches/5.7/tests/phpunit/tests/date/mysql2date.php	(revision 54514)
+++ /branches/5.7/tests/phpunit/tests/date/mysql2date.php	(revision 54515)
@@ -34,5 +34,5 @@
 	 */
 	function test_mysql2date_should_format_time() {
-		$timezone = 'Europe/Kiev';
+		$timezone = 'Europe/Helsinki';
 		update_option( 'timezone_string', $timezone );
 		$datetime = new DateTime( 'now', new DateTimeZone( $timezone ) );
@@ -48,5 +48,5 @@
 	 */
 	function test_mysql2date_should_format_time_with_changed_time_zone() {
-		$timezone = 'Europe/Kiev';
+		$timezone = 'Europe/Helsinki';
 		// phpcs:ignore WordPress.DateTime.RestrictedFunctions.timezone_change_date_default_timezone_set
 		date_default_timezone_set( $timezone );
@@ -63,6 +63,6 @@
 	 * @ticket 28992
 	 */
-	function test_mysql2date_should_return_wp_timestamp() {
-		$timezone = 'Europe/Kiev';
+	public function test_mysql2date_should_return_wp_timestamp() {
+		$timezone = 'Europe/Helsinki';
 		update_option( 'timezone_string', $timezone );
 		$datetime     = new DateTime( 'now', new DateTimeZone( $timezone ) );
@@ -77,6 +77,6 @@
 	 * @ticket 28992
 	 */
-	function test_mysql2date_should_return_unix_timestamp_for_gmt_time() {
-		$timezone = 'Europe/Kiev';
+	public function test_mysql2date_should_return_unix_timestamp_for_gmt_time() {
+		$timezone = 'Europe/Helsinki';
 		update_option( 'timezone_string', $timezone );
 		$datetime  = new DateTime( 'now', new DateTimeZone( 'UTC' ) );
Index: /branches/5.7/tests/phpunit/tests/date/query.php
===================================================================
--- /branches/5.7/tests/phpunit/tests/date/query.php	(revision 54514)
+++ /branches/5.7/tests/phpunit/tests/date/query.php	(revision 54515)
@@ -562,5 +562,5 @@
 	 */
 	public function test_build_mysql_datetime_with_custom_timezone( $datetime, $expected, $default_to_max = false ) {
-		update_option( 'timezone_string', 'Europe/Kiev' );
+		update_option( 'timezone_string', 'Europe/Helsinki' );
 
 		$q = new WP_Date_Query( array() );
@@ -584,5 +584,5 @@
 	 */
 	public function test_build_mysql_datetime_with_relative_date() {
-		update_option( 'timezone_string', 'Europe/Kiev' );
+		update_option( 'timezone_string', 'Europe/Helsinki' );
 
 		$q = new WP_Date_Query( array() );
Index: /branches/5.7/tests/phpunit/tests/date/wpTimezone.php
===================================================================
--- /branches/5.7/tests/phpunit/tests/date/wpTimezone.php	(revision 54514)
+++ /branches/5.7/tests/phpunit/tests/date/wpTimezone.php	(revision 54515)
@@ -32,11 +32,11 @@
 	 */
 	public function test_should_return_timezone_string() {
-		update_option( 'timezone_string', 'Europe/Kiev' );
+		update_option( 'timezone_string', 'Europe/Helsinki' );
 
-		$this->assertSame( 'Europe/Kiev', wp_timezone_string() );
+		$this->assertSame( 'Europe/Helsinki', wp_timezone_string() );
 
 		$timezone = wp_timezone();
 
-		$this->assertSame( 'Europe/Kiev', $timezone->getName() );
+		$this->assertSame( 'Europe/Helsinki', $timezone->getName() );
 	}
 
Index: /branches/5.7/tests/phpunit/tests/date/xmlrpc.php
===================================================================
--- /branches/5.7/tests/phpunit/tests/date/xmlrpc.php	(revision 54514)
+++ /branches/5.7/tests/phpunit/tests/date/xmlrpc.php	(revision 54515)
@@ -15,5 +15,5 @@
 	 */
 	public function test_date_new_post() {
-		$timezone = 'Europe/Kiev';
+		$timezone = 'Europe/Helsinki';
 		update_option( 'timezone_string', $timezone );
 
@@ -135,5 +135,5 @@
 	 */
 	public function test_date_edit_post() {
-		$timezone = 'Europe/Kiev';
+		$timezone = 'Europe/Helsinki';
 		update_option( 'timezone_string', $timezone );
 
@@ -203,6 +203,6 @@
 	 * @covers wp_xmlrpc_server::wp_editComment
 	 */
-	function test_date_edit_comment() {
-		$timezone = 'Europe/Kiev';
+	public function test_date_edit_comment() {
+		$timezone = 'Europe/Helsinki';
 		update_option( 'timezone_string', $timezone );
 
Index: /branches/5.7/tests/phpunit/tests/formatting/date.php
===================================================================
--- /branches/5.7/tests/phpunit/tests/formatting/date.php	(revision 54514)
+++ /branches/5.7/tests/phpunit/tests/formatting/date.php	(revision 54515)
@@ -198,5 +198,5 @@
 		return array(
 			array(
-				'timezone_string' => 'Europe/Kiev',
+				'timezone_string' => 'Europe/Helsinki',
 				'gmt_offset'      => 3,
 			),