Index: /trunk/src/wp-includes/Text/Diff.php
===================================================================
--- /trunk/src/wp-includes/Text/Diff.php	(revision 55699)
+++ /trunk/src/wp-includes/Text/Diff.php	(revision 55700)
@@ -11,5 +11,5 @@
  *
  * See the enclosed file COPYING for license information (LGPL). If you did
- * not receive this file, see http://opensource.org/licenses/lgpl-license.php.
+ * not receive this file, see https://opensource.org/license/lgpl-2-1/.
  *
  * @package Text_Diff
Index: /trunk/src/wp-includes/Text/Diff/Engine/native.php
===================================================================
--- /trunk/src/wp-includes/Text/Diff/Engine/native.php	(revision 55699)
+++ /trunk/src/wp-includes/Text/Diff/Engine/native.php	(revision 55700)
@@ -7,5 +7,5 @@
  * The algorithm used here is mostly lifted from the perl module
  * Algorithm::Diff (version 1.06) by Ned Konz, which is available at:
- * http://www.perl.com/CPAN/authors/id/N/NE/NEDKONZ/Algorithm-Diff-1.06.zip
+ * https://cpan.metacpan.org/authors/id/N/NE/NEDKONZ/Algorithm-Diff-1.06.zip
  *
  * More ideas are taken from: http://www.ics.uci.edu/~eppstein/161/960229.html
@@ -22,5 +22,5 @@
  *
  * See the enclosed file COPYING for license information (LGPL). If you did
- * not receive this file, see http://opensource.org/licenses/lgpl-license.php.
+ * not receive this file, see https://opensource.org/license/lgpl-2-1/.
  *
  * @author  Geoffrey T. Dairiki <dairiki@dairiki.org>
Index: /trunk/src/wp-includes/Text/Diff/Engine/shell.php
===================================================================
--- /trunk/src/wp-includes/Text/Diff/Engine/shell.php	(revision 55699)
+++ /trunk/src/wp-includes/Text/Diff/Engine/shell.php	(revision 55700)
@@ -9,5 +9,5 @@
  *
  * See the enclosed file COPYING for license information (LGPL). If you did
- * not receive this file, see http://opensource.org/licenses/lgpl-license.php.
+ * not receive this file, see https://opensource.org/license/lgpl-2-1/.
  *
  * @author  Milian Wolff <mail@milianw.de>
Index: /trunk/src/wp-includes/Text/Diff/Engine/string.php
===================================================================
--- /trunk/src/wp-includes/Text/Diff/Engine/string.php	(revision 55699)
+++ /trunk/src/wp-includes/Text/Diff/Engine/string.php	(revision 55700)
@@ -15,5 +15,5 @@
  *
  * See the enclosed file COPYING for license information (LGPL). If you did
- * not receive this file, see http://opensource.org/licenses/lgpl-license.php.
+ * not receive this file, see https://opensource.org/license/lgpl-2-1/.
  *
  * @author  Örjan Persson <o@42mm.org>
Index: /trunk/src/wp-includes/Text/Diff/Engine/xdiff.php
===================================================================
--- /trunk/src/wp-includes/Text/Diff/Engine/xdiff.php	(revision 55699)
+++ /trunk/src/wp-includes/Text/Diff/Engine/xdiff.php	(revision 55700)
@@ -9,5 +9,5 @@
  *
  * See the enclosed file COPYING for license information (LGPL). If you did
- * not receive this file, see http://opensource.org/licenses/lgpl-license.php.
+ * not receive this file, see https://opensource.org/license/lgpl-2-1/.
  *
  * @author  Jon Parise <jon@horde.org>
Index: /trunk/src/wp-includes/Text/Diff/Renderer.php
===================================================================
--- /trunk/src/wp-includes/Text/Diff/Renderer.php	(revision 55699)
+++ /trunk/src/wp-includes/Text/Diff/Renderer.php	(revision 55700)
@@ -9,5 +9,5 @@
  *
  * See the enclosed file COPYING for license information (LGPL). If you did
- * not receive this file, see http://opensource.org/licenses/lgpl-license.php.
+ * not receive this file, see https://opensource.org/license/lgpl-2-1/.
  *
  * @package Text_Diff
Index: /trunk/src/wp-includes/Text/Diff/Renderer/inline.php
===================================================================
--- /trunk/src/wp-includes/Text/Diff/Renderer/inline.php	(revision 55699)
+++ /trunk/src/wp-includes/Text/Diff/Renderer/inline.php	(revision 55700)
@@ -6,5 +6,5 @@
  *
  * See the enclosed file COPYING for license information (LGPL). If you did
- * not receive this file, see http://opensource.org/licenses/lgpl-license.php.
+ * not receive this file, see https://opensource.org/license/lgpl-2-1/.
  *
  * @author  Ciprian Popovici