Index: /trunk/src/wp-admin/includes/class-pclzip.php
===================================================================
--- /trunk/src/wp-admin/includes/class-pclzip.php	(revision 55826)
+++ /trunk/src/wp-admin/includes/class-pclzip.php	(revision 55827)
@@ -633,7 +633,7 @@
   //                path_creation_fail : the file is not extracted because the folder
   //                                     does not exist and can not be created
-  //                write_error : the file was not extracted because there was a
+  //                write_error : the file was not extracted because there was an
   //                              error while writing the file
-  //                read_error : the file was not extracted because there was a error
+  //                read_error : the file was not extracted because there was an error
   //                             while reading the file
   //                invalid_header : the file was not extracted because of an archive
Index: /trunk/src/wp-admin/includes/file.php
===================================================================
--- /trunk/src/wp-admin/includes/file.php	(revision 55826)
+++ /trunk/src/wp-admin/includes/file.php	(revision 55827)
@@ -1378,5 +1378,5 @@
 	}
 
-	// Check for a edge-case affecting PHP Maths abilities.
+	// Check for an edge-case affecting PHP Maths abilities.
 	if (
 		! extension_loaded( 'sodium' ) &&
Index: /trunk/src/wp-includes/class-wp-http-cookie.php
===================================================================
--- /trunk/src/wp-includes/class-wp-http-cookie.php	(revision 55826)
+++ /trunk/src/wp-includes/class-wp-http-cookie.php	(revision 55827)
@@ -137,5 +137,5 @@
 				$pair = rtrim( $pair );
 
-				// Handle the cookie ending in ; which results in a empty final pair.
+				// Handle the cookie ending in ; which results in an empty final pair.
 				if ( empty( $pair ) ) {
 					continue;
Index: /trunk/src/wp-includes/class-wp-http.php
===================================================================
--- /trunk/src/wp-includes/class-wp-http.php	(revision 55826)
+++ /trunk/src/wp-includes/class-wp-http.php	(revision 55827)
@@ -1081,5 +1081,5 @@
 	 *
 	 * This function also detects the type of the IP address, returning either
-	 * '4' or '6' to represent a IPv4 and IPv6 address respectively.
+	 * '4' or '6' to represent an IPv4 and IPv6 address respectively.
 	 * This does not verify if the IP is a valid IP, only that it appears to be
 	 * an IP address.
@@ -1090,5 +1090,5 @@
 	 *
 	 * @param string $maybe_ip A suspected IP address.
-	 * @return int|false Upon success, '4' or '6' to represent a IPv4 or IPv6 address, false upon failure
+	 * @return int|false Upon success, '4' or '6' to represent an IPv4 or IPv6 address, false upon failure.
 	 */
 	public static function is_ip_address( $maybe_ip ) {
Index: /trunk/src/wp-includes/class-wp-oembed.php
===================================================================
--- /trunk/src/wp-includes/class-wp-oembed.php	(revision 55826)
+++ /trunk/src/wp-includes/class-wp-oembed.php	(revision 55827)
@@ -515,5 +515,5 @@
 
 	/**
-	 * Connects to a oEmbed provider and returns the result.
+	 * Connects to an oEmbed provider and returns the result.
 	 *
 	 * @since 2.9.0
Index: /trunk/src/wp-includes/customize/class-wp-customize-nav-menu-item-setting.php
===================================================================
--- /trunk/src/wp-includes/customize/class-wp-customize-nav-menu-item-setting.php	(revision 55826)
+++ /trunk/src/wp-includes/customize/class-wp-customize-nav-menu-item-setting.php	(revision 55827)
@@ -229,5 +229,5 @@
 			$value = false;
 
-			// Note that a ID of less than one indicates a nav_menu not yet inserted.
+			// Note that an ID of less than one indicates a nav_menu not yet inserted.
 			if ( $this->post_id > 0 ) {
 				$post = get_post( $this->post_id );
Index: /trunk/src/wp-includes/media-template.php
===================================================================
--- /trunk/src/wp-includes/media-template.php	(revision 55826)
+++ /trunk/src/wp-includes/media-template.php	(revision 55827)
@@ -9,5 +9,5 @@
 
 /**
- * Outputs the markup for a audio tag to be used in an Underscore template
+ * Outputs the markup for an audio tag to be used in an Underscore template
  * when data.model is passed.
  *
Index: /trunk/src/wp-includes/media.php
===================================================================
--- /trunk/src/wp-includes/media.php	(revision 55826)
+++ /trunk/src/wp-includes/media.php	(revision 55827)
@@ -3812,4 +3812,5 @@
 		|| is_resource( $image ) && 'gd' === get_resource_type( $image )
 	) {
+
 		return true;
 	}
@@ -4862,5 +4863,5 @@
 
 /**
- * Checks the HTML content for a audio, video, object, embed, or iframe tags.
+ * Checks the HTML content for an audio, video, object, embed, or iframe tags.
  *
  * @since 3.6.0
Index: /trunk/src/wp-includes/option.php
===================================================================
--- /trunk/src/wp-includes/option.php	(revision 55826)
+++ /trunk/src/wp-includes/option.php	(revision 55827)
@@ -1371,5 +1371,5 @@
 
 /**
- * Removes a option by name for the current network.
+ * Removes an option by name for the current network.
  *
  * @since 2.8.0